multi_type_map.hpp File Reference

This class can associate values of different types to a key. More...

`#include <claw/meta/no_type.hpp>`
`#include <claw/meta/type_list.hpp>`
`#include <map>`
`#include <claw/impl/multi_type_map.tpp>`

Go to the source code of this file.

## Classes

class | claw::multi_type_map< Key, meta::no_type >
| Partial specialization, to stop the inheritance recursivity. More...
class | claw::multi_type_map< Key, meta::type_list< Head, Tail > >
| This class can associate values of different types to a key. More...
struct | claw::multi_type_map< Key, meta::type_list< Head, Tail > >::iterator< ValueType >
| This structure is used to create an iterator on the values of a given type. More...

## Namespaces

namespace | claw
| This is the main namespace.

## Detailed Description

This class can associate values of different types to a key.

Author
  Julien Jorge

Definition in file multi_type_map.hpp.